/*
 *  Gtk-Parted - a front-end for libparted
 *  Copyright (C) 2000, 2001  Damien Genet
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * GUI functions
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "../misc/misc.h"

#include "gtk-parted_infos.h"
#include "dialogMisc.h"

GtkWidget*
dialogAPropos_create                   (void)
{
	static GtkWidget	*dialogAPropos;
	
	if (dialogAPropos) {
		gdk_window_show (dialogAPropos->window);
		gdk_window_raise (dialogAPropos->window);
	} else {
		dialogAPropos = ui_dialogMessage_create (_(copyright_msg),
		                                           FALSE);
		
		/* Set dialogAPropos at NULL when destroyed */
		gtk_signal_connect (GTK_OBJECT (dialogAPropos), "destroy",
		                    GTK_SIGNAL_FUNC (gtk_widget_destroyed),
		                    &dialogAPropos);
	}
	
	return dialogAPropos;
}
